Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.axes
Class RootContext

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.EvalContext
            |
            +--org.apache.commons.jxpath.ri.axes.RootContext

All Implemented Interfaces:
  ExpressionContext, java.util.Iterator

public class RootContext
extends EvalContext

EvalContext that is used to hold the root node for the path traversal.

Version:
  $Revision: 1.11 $ $Date: 2003/03/11 00:59:20 $
Author:
  Dmitri Plotnikov

Field Summary
`static java.lang.Object` | `UNKNOWN_VALUE`

Fields inherited from class org.apache.commons.jxpath.ri.EvalContext
`parentContext, position, rootContext`

Constructor Summary
`RootContext(JXPathContextReferenceImpl jxpathContext, NodePointer pointer)`

Method Summary
`EvalContext` | `getAbsoluteRootContext()`
`EvalContext` | `getConstantContext(java.lang.Object constant)`
`NodePointer` | `getCurrentNodePointer()` Returns the current context node.
`int` | `getCurrentPosition()`
`Function` | `getFunction(QName functionName, java.lang.Object[] parameters)`
`JXPathContext` | `getJXPathContext()` Get the JXPathContext in which this function is being evaluated.
`java.lang.Object` | `getRegisteredValue(int id)`
`RootContext` | `getRootContext()` Returns the root context of the path, which provides easy access to variables and functions.
`EvalContext` | `getVariableContext(QName variableName)`
`boolean` | `nextNode()` Returns true if there is another object in the current set.
`boolean` | `nextSet()` Returns true if there is another sets of objects to interate over.
`boolean` | `setPosition(int position)` Moves the current position to the specified index.
`int` | `setRegisteredValue(java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.commons.jxpath.ri.EvalContext
`getContextNodeList, getContextNodePointer, getDocumentOrder, getNodeSet, getPosition, getSingleNodePointer, hasNext, next, remove, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN_VALUE

    public static final java.lang.Object UNKNOWN_VALUE

Constructor Detail

### RootContext

    public RootContext(JXPathContextReferenceImpl jxpathContext,
                       NodePointer pointer)

Method Detail

### getJXPathContext

    public JXPathContext getJXPathContext()

  Description copied from interface: `ExpressionContext`
  Get the JXPathContext in which this function is being evaluated.
  Overrides:
    `getJXPathContext` in class `EvalContext`
  Following copied from interface: `org.apache.commons.jxpath.ExpressionContext`
  Returns:
    A list representing the current context nodes.

### getRootContext

    public RootContext getRootContext()

  Description copied from class: `EvalContext`
  Returns the root context of the path, which provides easy access to variables and functions.
  Overrides:
    `getRootContext` in class `EvalContext`

### getAbsoluteRootContext

    public EvalContext getAbsoluteRootContext()

### getCurrentNodePointer

    public NodePointer getCurrentNodePointer()

  Description copied from class: `EvalContext`
  Returns the current context node. Undefined before the beginning of the iteration.
  Overrides:
    `getCurrentNodePointer` in class `EvalContext`

### getCurrentPosition

    public int getCurrentPosition()

  Overrides:
    `getCurrentPosition` in class `EvalContext`

### nextNode

    public boolean nextNode()

  Description copied from class: `EvalContext`
  Returns true if there is another object in the current set. Switches the current position and node to the next object.
  Overrides:
    `nextNode` in class `EvalContext`

### nextSet

    public boolean nextSet()

  Description copied from class: `EvalContext`
  Returns true if there is another sets of objects to interate over. Resets the current position and node.
  Overrides:
    `nextSet` in class `EvalContext`

### setPosition

    public boolean setPosition(int position)

  Description copied from class: `EvalContext`
  Moves the current position to the specified index. Used with integer predicates to quickly get to the n'th element of the node set. Returns false if the position is out of the node set range. You can call it with 0 as the position argument to restart the iteration.
  Overrides:
    `setPosition` in class `EvalContext`

### getConstantContext

    public EvalContext getConstantContext(java.lang.Object constant)

### getVariableContext

    public EvalContext getVariableContext(QName variableName)

### getFunction

    public Function getFunction(QName functionName,
                                java.lang.Object[] parameters)

### getRegisteredValue

    public java.lang.Object getRegisteredValue(int id)

### setRegisteredValue

    public int setRegisteredValue(java.lang.Object value)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EvalContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.